ReplaceEipAddress

1. API Description

This API (ReplaceEipAddress) is used to replace the elastic IP addresses.

circle-info

Note

  • ownIp is required for a 3-in-1 IP pool.

  • The API returns the elastic IP IDs that failed to operate. An empty list indicates all operations succeeded.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

replaceIps

Yes

Array of ReplaceIp

Lists of the original and target elastic IPs.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

failedEipIds

Array of String

Elastic IP IDs that failed to replace.

4. Code Example

Replace the elastic IP address.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ReplaceEipAddress


Request:
{
  "replaceIps": [
    {
      "eipId": "xxx",
      "targetIp": "88.188.128.203"
    }
  ]
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "failedEipIds":[],
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_EIP_NOT_FOUND

Elastic IP does not exist.

400

OPERATION_DENIED_CIDR_CREATE_SOURCE

Operation not allowed on BYOIPs.

400

OPERATION_DENIED_EIP_INSUFFICIENT

Insufficient elastic IP stock.

400

OPERATION_DENIED_EIP_IN_RISK_CONTROL

This operation is not supported for elastic IPs under risk control.

400

OPERATION_DENIED_EIP_IP_CHANGE_LIMIT_EXCEEDED

Replacement limit exceeded.

500

OPERATION_DENIED_EIP_STATUS_NOT_SUPPORT

Operation is not supported for the elastic IP in current status.

400

OPERATION_DENIED_EIP_UNSUPPORT_CUSTOMIZE

Manually specified IP address is invalid.

400

OPERATION_EIP_PUBLIC_IP_CONFLICT

Public IP address conflict exists.

Last updated